/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../_virtual/_rolldown/runtime.cjs");
const require_index = require("../modes/dist/index.cjs");
let react = require("react");
let react_jsx_runtime = require("react/jsx-runtime");
//#region src/providers/ColorModeProvider.tsx
const ColorModeContext = (0, react.createContext)(require_index.DEFAULT_COLOR_MODE);
function useColorMode() {
	return (0, react.useContext)(ColorModeContext);
}
function ColorModeProvider({ value = require_index.DEFAULT_COLOR_MODE, children }) {
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(ColorModeContext.Provider, {
		value,
		children
	});
}
ColorModeProvider.displayName = "ColorModeProvider";
//#endregion
exports.ColorModeContext = ColorModeContext;
exports.ColorModeProvider = ColorModeProvider;
exports.useColorMode = useColorMode;
